prompts
Get prompts resolve
Requires scopes: eval:read
GET
/
api
/
prompts
/
{promptId}
/
resolve
Get prompts resolve
curl --request GET \
--url https://evalgate.com/api/prompts/{promptId}/resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/prompts/{promptId}/resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/prompts/{promptId}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifactId": 123,
"key": "<string>",
"displayName": "<string>",
"versionId": 123,
"versionNumber": 123,
"contentHash": "<string>",
"reviewStatus": "approved",
"environment": "<string>",
"definition": {
"messages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
],
"variables": [
{
"name": "<string>",
"type": "string",
"required": true,
"description": "<string>",
"default": "<string>"
}
],
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"description": "<string>",
"strict": false
}
],
"tags": [
"<string>"
],
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"responseFormat": "json",
"dataPolicy": "<string>",
"fallbackPolicy": "<string>"
},
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"model": {
"provider": "<string>",
"model": "<string>",
"routingKey": "<string>"
},
"parameters": {},
"tools": [
{
"name": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"description": "<string>",
"strict": false
}
],
"resolvedMessages": [
{
"id": "<string>",
"role": "user",
"content": "<string>",
"name": "<string>",
"toolCallId": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful response
Available options:
approved Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get prompts resolve
